Observations for a Device


Get observations for a device (Air, Sky, or Tempest) by using the device_id as the key. You can find device_id values in the response from the Stations service. You can get observations using several filters (e.g. latest obs, a time range, or day offset).

An obs array object is returned in this API response, which consists of a list of observations. The type field determines the order of the array elements, based off of the table below.

DeviceDevice TypeObservation Format
Tempestobs_stTempest Observation
AIRobs_airAIR Observation
SKYobs_skySKY Observation

The observations are returned in chronological order from the time_start to time_end query parameters. If no time_start or time_end is given, only the most recent observation is returned.

Generally, a user can only query data for their own devices, using the API token associated with their account. Commercial users may be able to query all devices associated with a mesonet.

Path Params
int64
required

ID of device

Query Params
int64

TIME FILTER - Get an entire day of observations by UTC day offset.
0 - Current day UTC 1 - Yesterday UTC

int64

TIME FILTER - Time range start time epoch seconds UTC. Observation data at a one minute time resolution is available for a time range that is five days or less. You also need to send "time_end". This field pair is optional. If the request does not contain any time filters only the latest observation will be returned.

int64

TIME FILTER - Time range start time epoch seconds UTC. Observation data at a one minute time resolution is available for a time range that is five days or less. You also need to send "time_start". This field pair is optional. If the request does not contain any time filters only the latest observation will be returned.

string
enum

Use format=csv to return a CSV response type.

Allowed:
Responses

404

Device not found

Language
Credentials
Query
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json